Debug not working after rubymine update

Hello

 

I have updated rubymine to 2017.2

I have a problem, the debug is not longer working.

In the previous version of rubymine worked very well.

 

Could you help me?

 

 

/Users/viadero/.rvm/rubies/ruby-1.8.7-head/bin/ruby -e at_exit{sleep(1)};$stdout.sync=true;$stderr.sync=true;load($0=ARGV.shift) /Users/viadero/.rvm/gems/ruby-1.8.7-head@s2f/gems/ruby-debug-ide-0.6.1.beta9/bin/rdebug-ide --disable-int-handler --evaluation-timeout 10 --evaluation-control --time-limit 100 --memory-limit 10 --rubymine-protocol-extensions --port 59072 --host 0.0.0.0 --dispatcher-port 59073 -- /Users/viadero/proyectos/s2f/script/rails server -b 0.0.0.0 -p 3000 -e development
/Users/viadero/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:55:in `gem_original_require': no such file to load -- objspace (LoadError)
from /Users/viadero/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:55:in `require'
from /Users/viadero/.rvm/gems/ruby-1.8.7-head@s2f/gems/ruby-debug-ide-0.6.1.beta9/lib/ruby-debug-ide/xml_printer.rb:5
from /Users/viadero/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:55:in `gem_original_require'
from /Users/viadero/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:55:in `require'
from /Users/viadero/.rvm/gems/ruby-1.8.7-head@s2f/gems/ruby-debug-ide-0.6.1.beta9/lib/ruby-debug-ide.rb:14
from /Users/viadero/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:55:in `gem_original_require'
from /Users/viadero/.rvm/rubies/ruby-1.8.7-head/lib/ruby/site_ruby/1.8/rubygems/core_ext/kernel_require.rb:55:in `require'
from /Users/viadero/.rvm/gems/ruby-1.8.7-head@s2f/gems/ruby-debug-ide-0.6.1.beta9/bin/rdebug-ide:6
from -e:1:in `load'
from -e:1

5 comments
Comment actions Permalink

I can not upgrade ruby version for the moment.

0
Comment actions Permalink

It was a problem with some gem version rubymine installed.

gem uninstall ruby-debug-base  -v 0.10.5.rc10

Fixed

 

 

-1
Comment actions Permalink

Thanks for report and investigation!

0
Comment actions Permalink

This fix does not work for me. Is the intention to roll back to a previous version? I'd love to ditch Ruby 1.8, but for the moment this feature is very important to me.

0
Comment actions Permalink

If this fix doesn't work for you please vote for "Debugger doesn't work with Ruby 1.8.7": https://youtrack.jetbrains.com/issue/RUBY-20313

0

Please sign in to leave a comment.